Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema
Class SOMAll

    java.lang.Object
      com.bea.schema.SOMObject
          com.bea.schema.SOMGroupType
              com.bea.schema.SOMAll

All Implemented Interfaces:
  Serializable

public class SOMAll
extends SOMGroupType

<all> The grouping construct for schema components. The XML representation for a model group schema component is either an <all>, a <choice> or a <sequence> element information item. The all component specifies that all children must be present to be valid, but that any order of those elements is acceptable.

Version:
  1.0
Author:
  sharpe
See Also:
  Serialized Form

Constructor Summary
`SOMAll()`

Method Summary
`SOMAll` | `add(SOMAll p_all)` An <all> is an illegal child element for <all>.
`SOMAny` | `add(SOMAny p_any)` An <any> is an illegal child element for <all>.
`SOMChoice` | `add(SOMChoice p_choice)` A <choice> is an illegal child element for <all>.
`SOMGroup` | `add(SOMGroup p_group)` A <group> is an illegal child element for <all>.
`SOMSequence` | `add(SOMSequence p_sequence)` A <sequence> is an illegal child element for <all>.
`void` | `createDefault(DefaultDocumentOptions options, Element current)`
`String` | `getID()` Returns a printable element tag for this Schema Object
`void` | `setMaxOccurs(int p_maxOccurs)` overrides the super class setMaxOccurs method.
`void` | `setMinOccurs(int p_minOccurs)` overrides the super class setMinOccurs method.

Methods inherited from class com.bea.schema.SOMGroupType
`add, addAnnotation, addElement, addElement, contains, getAnnotation, getAttributes, getChildren, getChildrenString, getMaxOccurs, getMaxOccursString, getMinOccurs, getMinOccursString, remove, removeAnnotation, setMaxOccurs, setMinOccurs, toXML`

Methods inherited from class com.bea.schema.SOMObject
`addPrefixMapping, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getPrefixMapping, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, msg, msg, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, setTargetNamespace, toString, toXML, toXML, toXML`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOMAll

    public SOMAll()

Method Detail

### getID

    public String getID()

  Description copied from class: `SOMObject`
  Returns a printable element tag for this Schema Object

  Specified by:
    `getID` in class `SOMObject`
  Returns:
    String representation of the element tag

### setMinOccurs

    public void setMinOccurs(int p_minOccurs)

  overrides the super class setMinOccurs method. The all component must have a minOccurs attribute equal to 1.

  Overrides:
    `setMinOccurs` in class `SOMGroupType`
  Parameters:
    `p_minOccurs` -

### setMaxOccurs

    public void setMaxOccurs(int p_maxOccurs)

  overrides the super class setMaxOccurs method. The all component must have a maxOccurs attribute equal to 1.

  Overrides:
    `setMaxOccurs` in class `SOMGroupType`
  Parameters:
    `p_maxOccurs` -

### add

    public SOMChoice add(SOMChoice p_choice)

  A <choice> is an illegal child element for <all>. This method ALWAYS throws an IllegalArgumentException.

  Overrides:
    `add` in class `SOMGroupType`
  Returns:
    not applicable

### add

    public SOMGroup add(SOMGroup p_group)

  A <group> is an illegal child element for <all>. This method ALWAYS throws an IllegalArgumentException.

  Overrides:
    `add` in class `SOMGroupType`
  Returns:
    not applicable

### add

    public SOMSequence add(SOMSequence p_sequence)

  A <sequence> is an illegal child element for <all>. This method ALWAYS throws an IllegalArgumentException.

  Overrides:
    `add` in class `SOMGroupType`
  Returns:
    not applicable

### add

    public SOMAll add(SOMAll p_all)

  An <all> is an illegal child element for <all>. This method ALWAYS throws an IllegalArgumentException.

  Overrides:
    `add` in class `SOMGroupType`
  Returns:
    not applicable

### add

    public SOMAny add(SOMAny p_any)

  An <any> is an illegal child element for <all>. This method ALWAYS throws an IllegalArgumentException.

  Overrides:
    `add` in class `SOMGroupType`
  Parameters:
    `p_any` - not applicable
  Returns:
    not applicable

### createDefault

    public void createDefault(DefaultDocumentOptions options,
                              Element current)

  Specified by:
    `createDefault` in class `SOMGroupType`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD